package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.TestBbb;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.TestBbbMapper")
public interface TestBbbMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(TestBbb record);

    TestBbb selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TestBbb record);

    List<TestBbb> queryAllTestBbb(TestBbb record);

    List<TestBbb> queryTestBbbByPage(Map<String, Object> parameter);

    int delete(TestBbb record);

    TestBbb queryTestBbb(TestBbb record);

    List<TestBbb> query(TestBbb record);
}

